
Smart Proxy - Bug #12580

WEBrick doesn't use ::Proxy::Log.logger

11/24/2015 05:46 AM - Brandon Weeks

Status: Closed   

Priority: Normal   

Assignee: Brandon Weeks   

Category: Core   

Target version: 1.10.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: Nightly

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/smart-pro

xy/pull/349

  

Description

WEBrick outputs its logs to STDOUT/STDERROR even with SETTINGS.log_level set. This is less than ideal since some important

warnings/errors can manifest in the WEBrick logs.

Associated revisions

Revision 63a513a1 - 11/24/2015 07:06 AM - Brandon Weeks

Fixes #12580 - configure WEBrick to use ::Proxy::Log.logger

History

#1 - 11/24/2015 08:01 AM - Brandon Weeks

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 63a513a1669d6d6a4824b8bea77126b7f71dd886.

#2 - 11/24/2015 08:07 AM - Dominic Cleal

- Assignee set to Brandon Weeks

- translation missing: en.field_release set to 104

#3 - 01/07/2016 09:26 AM - Dominic Cleal

- Pull request https://github.com/theforeman/smart-proxy/pull/349 added
